import {
    Entity,
    PrimaryKey,
    Property,
    ManyToOne,
  } from '@mikro-orm/core';
  import { RoomSessionUser } from '../room/roomSessionUser.entity';
  
/**
 * Represents a sessionPoints entity.
 */
@Entity({ tableName: 'sessionPoints' })
export class SessionPoints {
    @PrimaryKey()
    id!: number;
    
    @ManyToOne(() => RoomSessionUser)
    roomSessionUser!: RoomSessionUser;

    @Property()
    audioPoints: number;

    @Property()
    videoPoints: number;

    @Property()
    browserPoints: number;

    @Property()
    whiteboardPoints: number;

    @Property()
    notePoints: number;

    constructor(roomSessionUser: RoomSessionUser, audioPoints: number, videoPoints: number, browserPoints: number, whiteboardPoints: number, notePoints: number) {
        this.roomSessionUser = roomSessionUser;
        this.audioPoints = audioPoints;
        this.videoPoints = videoPoints;
        this.browserPoints = browserPoints;
        this.whiteboardPoints = whiteboardPoints;
        this.notePoints = notePoints;
    }
}